## org.apache.xerces.impl.xs
Class XMLSchemaValidator.UniqueValueStore

    java.lang.Object
      |
      +--org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
            |
            +--org.apache.xerces.impl.xs.XMLSchemaValidator.UniqueValueStore

All Implemented Interfaces:
  ValueStore

Enclosing class:
  XMLSchemaValidator

protected class XMLSchemaValidator.UniqueValueStore
extends XMLSchemaValidator.ValueStoreBase

Unique value store.

Author:
  Andy Clark, IBM

Fields inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
`fIdentityConstraint, fValues, fValuesCount, fValueTuples, NOT_AN_IDVALUE`

Constructor Summary
`XMLSchemaValidator.UniqueValueStore(UniqueOrKey unique)` Constructs a unique value store.

Method Summary
`protected void` `duplicateValue(org.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable tuple)` Called when a duplicate value is added.

Methods inherited from class org.apache.xerces.impl.xs.XMLSchemaValidator.ValueStoreBase
`addValue, append, clear, contains, endDocument, endDocumentFragment, endValueScope, reportError, startValueScope, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### XMLSchemaValidator.UniqueValueStore

    public XMLSchemaValidator.UniqueValueStore(UniqueOrKey unique)

  Constructs a unique value store.

Method Detail

### duplicateValue

    protected void duplicateValue(org.apache.xerces.impl.xs.XMLSchemaValidator.OrderedHashtable tuple)
                           throws org.apache.xerces.xni.XNIException

  Called when a duplicate value is added.
  Overrides:
    `duplicateValue` in class `XMLSchemaValidator.ValueStoreBase`
  Parameters:
    `tuple` - The duplicate value tuple.

Copyright © 1999-2003 Apache XML Project. All Rights Reserved.